Bug 1478656 - Review Request: gap-pkg-digraphs - GAP package for digraphs and multidigraphs
Review Request: gap-pkg-digraphs - GAP package for digraphs and multidigraphs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 13:46 EDT by Jerry James
Modified: 2017-12-12 06:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:18:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2017-08-05 13:46:08 EDT
Spec URL: https://jjames.fedorapeople.org/gap-pkg-digraphs/gap-pkg-digraphs.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-digraphs/gap-pkg-digraphs-0.10.0-1.fc26.src.rpm
Description: The Digraphs package is a GAP package containing methods for graphs,
digraphs, and multidigraphs.  This is a new dependency for gap-pkg-semigroups, which is already in Fedora.  Note that I built for F26 instead of Rawhide because texlive is currently broken in the Rawhide repository.
Fedora Account System Username: jjames
Comment 1 Robert-André Mauchin 2017-08-06 05:28:19 EDT
This looks very good to me.

You've got a couple of rpmlint errors because some files are empty:

gap-pkg-digraphs.x86_64: E: zero-length /usr/lib/gap/pkg/digraphs/tst/out/.empty
gap-pkg-digraphs.x86_64: E: zero-length /usr/lib/gap/pkg/digraphs/tst/out/test.d6

You can remove all zero-length files with:

find %{buildroot} -size 0 -delete

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL", "GPL (v3 or later)", "Unknown or
     generated". 157 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/gap-pkg-digraphs/review-
     gap-pkg-digraphs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gap-pkg-
     digraphs-debuginfo
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-digraphs-0.10.0-1.fc26.x86_64.rpm
          gap-pkg-digraphs-debuginfo-0.10.0-1.fc26.x86_64.rpm
          gap-pkg-digraphs-0.10.0-1.fc26.src.rpm
gap-pkg-digraphs.x86_64: W: spelling-error Summary(en_US) multidigraphs -> radiotelegraphs
gap-pkg-digraphs.x86_64: W: spelling-error %description -l en_US multidigraphs -> radiotelegraphs
gap-pkg-digraphs.x86_64: W: hidden-file-or-dir /usr/lib/gap/pkg/digraphs/tst/out/.empty
gap-pkg-digraphs.x86_64: E: zero-length /usr/lib/gap/pkg/digraphs/tst/out/.empty
gap-pkg-digraphs.x86_64: E: zero-length /usr/lib/gap/pkg/digraphs/tst/out/test.d6
gap-pkg-digraphs.src: W: spelling-error Summary(en_US) multidigraphs -> radiotelegraphs
gap-pkg-digraphs.src: W: spelling-error %description -l en_US multidigraphs -> radiotelegraphs
3 packages and 0 specfiles checked; 2 errors, 5 warnings.
Comment 2 Robert-André Mauchin 2017-08-23 07:10:44 EDT
@Jerry: are you still interested in packaging this? There's just a minor issue to fix and I'll accept it.
Comment 3 Jerry James 2017-11-26 00:03:16 EST
Very sorry for losing track of this.  I've updated to the latest version and fixed the 0-byte file issue as you suggested.  New URLs:

Spec URL: https://jjames.fedorapeople.org/gap-pkg-digraphs/gap-pkg-digraphs.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-digraphs/gap-pkg-digraphs-0.11.0-1.fc28.src.rpm
Comment 4 Robert-André Mauchin 2017-11-26 06:28:59 EST
Seems good, package accepted.
Comment 5 Gwyn Ciesla 2017-11-27 10:08:14 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gap-pkg-digraphs. You may commit to the branch "f27" in about 10 minutes.
Comment 6 Fedora Update System 2017-11-28 00:38:18 EST
gap-pkg-digraphs-0.11.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-35afb6553b
Comment 7 Fedora Update System 2017-11-28 20:46:26 EST
gap-pkg-digraphs-0.11.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-35afb6553b
Comment 8 Fedora Update System 2017-12-12 06:18:29 EST
gap-pkg-digraphs-0.11.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.